ServiceMediaHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.selection
Interface ServiceMediaHandler

All Superinterfaces:
  Clock, Controller, Duration, MediaHandler, Player, ServiceContentHandler

    public interface ServiceMediaHandler

extends Player, ServiceContentHandler

`ServiceMediaHandler` represents an handler of service components that are real time media sharing the same clock. A `ServiceMediaHandler` is associated with the `Service` currently selected in the `ServiceContext` from which it was obtained.

See Also:
  `ServiceContext`, `MediaSelectControl`

Field Summary

Fields inherited from interface javax.media.Controller
`LATENCY_UNKNOWN, Prefetched, Prefetching, Realized, Realizing, Started, Unrealized`

Fields inherited from interface javax.media.Clock
`RESET`

Fields inherited from interface javax.media.Duration
`DURATION_UNBOUNDED, DURATION_UNKNOWN`

Method Summary

Methods inherited from interface javax.media.Player
`addController, getControlPanelComponent, getGainControl, getVisualComponent, removeController, start`

Methods inherited from interface javax.media.MediaHandler
`setSource`

Methods inherited from interface javax.media.Controller
`addControllerListener, close, deallocate, getControl, getControls, getStartLatency, getState, getTargetState, prefetch, realize, removeControllerListener`

Methods inherited from interface javax.media.Clock
`getMediaNanoseconds, getMediaTime, getRate, getStopTime, getSyncTime, getTimeBase, mapToTimeBase, setMediaTime, setRate, setStopTime, setTimeBase, stop, syncStart`

Methods inherited from interface javax.media.Duration
`getDuration`

Methods inherited from interface javax.tv.service.selection.ServiceContentHandler
`getServiceContentLocators`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD